PathFilterTask (Ant Contrib)
Keywords: net.sf.antcontrib.property.PathFilterTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.property
Class PathFilterTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.property.PathFilterTask

    public class PathFilterTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PathFilterTask()`

Method Summary
`void` | `addConfiguredDirSet(org.apache.tools.ant.types.DirSet dirset)`
`void` | `addConfiguredFileList(org.apache.tools.ant.types.FileList filelist)`
`void` | `addConfiguredFileSet(org.apache.tools.ant.types.FileSet fileset)`
`void` | `addConfiguredPath(org.apache.tools.ant.types.Path path)`
`org.apache.tools.ant.types.selectors.OrSelector` | `createSelect()`
`void` | `execute()`
`void` | `setPathId(java.lang.String pathid)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathFilterTask

    public PathFilterTask()

Method Detail

### setPathId

    public void setPathId(java.lang.String pathid)

### createSelect

    public org.apache.tools.ant.types.selectors.OrSelector createSelect()

### addConfiguredFileSet

    public void addConfiguredFileSet(org.apache.tools.ant.types.FileSet fileset)

### addConfiguredDirSet

    public void addConfiguredDirSet(org.apache.tools.ant.types.DirSet dirset)

### addConfiguredFileList

    public void addConfiguredFileList(org.apache.tools.ant.types.FileList filelist)

### addConfiguredPath

    public void addConfiguredPath(org.apache.tools.ant.types.Path path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD